Python 3.9 support

One thing I love to do in CI is to keep an eye on the next version of a language. Python 3.9-dev is out in alpha, it’d be nice if it and the actual nightly were available in Travis CI.

Currently TravisCI 3.9-dev is getting a 404 on the download and nightly is still 3.8.

2 Likes

should yield (through other machinery) 3.9-dev as nightly within 24 hours.

Cool, I guess I had great timing with this request.

Is there a a reason why nightly isn’t nightly? I’m happy with whatever choice you guys make, but if nightly is never nightly, you might as well not have it exist as a name.

Looks like 3.9 has some build problems; e.g.,

https://travis-ci.com/travis-ci/cpython-builder/jobs/272344340#L203

File "/home/travis/.local/lib/python2.7/site-packages/virtualenv_support/pip-9.0.1-py2.py3-none-any.whl/pip/_vendor/requests/packages/urllib3/_collections.py", line 2, in <module>

191ImportError: cannot import name 'Mapping' from 'collections' (/home/travis/virtualenv/python3.9-dev/lib/python3.9/collections/__init__.py)

This is from attempting to install pip 9.0.1, which uses something removed in Python 3.9.

This has been fixed in pip >= 18.0.

Please can you try and install a newer pip on the image?

https://travis-ci.com/travis-ci/cpython-builder/builds/143428089 is the 3.9-dev build with the fix above.

At the moment, it appears that all builds fail for 3.9-dev except x86_64.

1 Like

For AMD64, I’m seeing both “nightly” and “3.9-dev” are working with my project.

1 Like

This should fix the other architectures:

Thank you for that

Imprint